﻿@model SqlAdmin.Controllers.SqlModel
<div class="container-fluid">
    @using (Html.BeginForm())
    {
        <div class="row mt-2">
            <div class="col-10">
                @Html.TextBoxFor(model => model.ConnectionString, new { @class = "form-control" })
            </div>
            <div class="col-2">
                <button class="btn btn-danger" type="button" onclick="execute()">Execute</button>
            </div>
            <div class="col-12 mt-2">
                @Html.TextAreaFor(model => model.Query, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Query, "", new { @class = "text-danger" })
            </div>
        </div>
    }
    <div class="row mt-2">
        <div class="col-12 result">

        </div>
    </div>
</div>
<script>
    function execute() {
        var Params = {};
        Params.Query = $('#Query').val();
        Params.ConnectionString = $('#ConnectionString').val();
        $.ajax({
            type: "POST",
            url: "/Home/Execute",
            data: Params,
            success: function (data) {
                $('.result').html(data);
                setTimeout(function () {
                    $('.result table').DataTable()
                }, 200)
            },
            error: function (e) {
                console.log(e);
            }
        });
    }
</script>